Compilar Samba 4 com suporte LDAPS [RESOLVIDO]

1. Compilar Samba 4 com suporte LDAPS [RESOLVIDO]

David Coelho dos Santos
davidcoelho

(usa CentOS)

Enviado em 11/02/2020 - 17:21h

Olá,

Estou lendo a documentação em: http://wiki.samba.org/index.php/Setup_LDAPS_on_a_DC

Nela diz que para utilizar TLS é necessário compilar o samba com o --enable-gnutls
"To use TLS, Samba has to be compiled with „--enable-gnutls“. To verify,
use the following command:
# smbd -b | grep "ENABLE_GNUTLS"
ENABLE_GNUTLS

O problema é que essa opção não existe para a versão samba-4.11.6. Quando mando compilar com essa opção diz:
waf: error: no such option: --enable-gnutls

Alguém poderia me ajudar ?

Agradeço.





















  


2. Re: Compilar Samba 4 com suporte LDAPS [RESOLVIDO]

David Coelho dos Santos
davidcoelho

(usa CentOS)

Enviado em 12/02/2020 - 11:55h

Recebi a seguinte resposta da malling list do samba.org:

I have updated the wikipage, that option no longer exists and GNUtls is
now a requirement.

Rowland








Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts